{% raw %}

<script type="text/x-vue" name="expenses-by-item-report-view">
  <div class="container-fluid page-container">
    <div class="pull-right">
      <a class="btn btn-secondary" target="_blank" :href="printableVersionHref">
        <span class="glyphicon glyphicon-print"></span>
        Wersja do druku
      </a>
    </div>
    <div class="form-inline spaced">
      <div class="form-group">
        <label>Rok:</label>
        <select class="form-control" v-model.numer="selected.year">
          <option v-for="item in globals.years" :value="item">{{ item }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Artykuł:</label>
        <select class="form-control" v-model.numer="selected.itemId">
          <option :value="null">(nie wybrano)</option>
          <option v-for="item in globals.items" :value="item.id">{{ item.name }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Kwoty:</label>
        <select class="form-control" v-model.numer="selected.amountType">
          <option :value="0">netto</option>
          <option :value="1">brutto</option>
        </select>
      </div>
      <div class="form-group">
        <button class="btn btn-primary" @click="showReport">Pokaż raport</button>
      </div>
    </div>
  </div>
  <hr />
  <div class="report-preview">
    <expenses-by-item-report :year="params.year" :item-id="params.itemId" :amount-type="params.amountType" v-if="reportVisible" />
  </div>
</script>

<script type="text/x-vue" name="expenses-by-location-report-view">
  <div class="container-fluid page-container">
    <div class="pull-right">
      <a class="btn btn-secondary" target="_blank" :href="printableVersionHref">
        <span class="glyphicon glyphicon-print"></span>
        Wersja do druku
      </a>
    </div>
    <div class="form-inline spaced">
      <div class="form-group">
        <label>Rok:</label>
        <select class="form-control" v-model.numer="selected.year">
          <option v-for="item in globals.years" :value="item">{{ item }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Filia:</label>
        <select class="form-control" v-model.numer="selected.locationId">
          <option :value="null">(nie wybrano)</option>
          <option v-for="location in globals.locations" :value="location.id">{{ location.name }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Kwoty:</label>
        <select class="form-control" v-model.numer="selected.amountType">
          <option :value="0">netto</option>
          <option :value="1">brutto</option>
        </select>
      </div>
      <div class="form-group">
        <button class="btn btn-primary" @click="showReport">Pokaż raport</button>
      </div>
    </div>
  </div>
  <hr />
  <div class="report-preview">
    <expenses-by-location-report :year="params.year" :location-id="params.locationId" :amount-type="params.amountType" v-if="reportVisible" />
  </div>
</script>

<script type="text/x-vue" name="consumption-by-item-report-view">
  <div class="container-fluid page-container">
    <div v-if="selected.itemId" class="pull-right">
      <a class="btn btn-secondary" target="_blank" :href="printableVersionHref">
        <span class="glyphicon glyphicon-print"></span>
        Wersja do druku
      </a>
    </div>
    <div class="form-inline spaced">
      <div class="form-group">
        <label>Rok:</label>
        <select class="form-control" v-model.numer="selected.year">
          <option v-for="item in globals.years" :value="item">{{ item }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Artykuł:</label>
        <select class="form-control" v-model.numer="selected.itemId">
          <option :value="null">(nie wybrano)</option>
          <option v-for="item in globals.items" v-if="!item.flatRate" :value="item.id">{{ item.name }}</option>
        </select>
      </div>
      <div class="form-group">
        <button class="btn btn-primary" @click="showReport" :disabled="!selected.itemId">Pokaż raport</button>
      </div>
    </div>
  </div>
  <hr />
  <div class="report-preview">
    <consumption-by-item-report :year="params.year" :item-id="params.itemId" v-if="reportVisible" />
  </div>
</script>

{% endraw %}
